\documentclass[
  a4paper,            % DIN A4
  DIV=10,             % Schriftgröße und Satzspiegel
  oneside,            % einseitiger Druck
  BCOR=5mm,           % Bindungskorrektur
  parskip=half,       % Halber Abstand zwischen Absätzen
  numbers=noenddot,   % Kein Punkt hinter Kapitelnummern
  bibtotoc,           % Literaturverzeichnis im Inhaltsverzeichnis
  %listof=totoc        % Abbildungs- und Tabellenverzeichnis im Inhaltsverzeichnis
]{scrartcl}
\usepackage{style/termpaperstyle}
\usepackage{float}
\usepackage{listings}
\usepackage[framed,numbered]{matlab-prettifier}
\RequirePackage[square,numbers]{natbib}
\bibliographystyle{abbrvnat}
\usepackage{microtype}  %bessere Umbruchpunkte
\usepackage{xcolor}

%New colors defined below
\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.95,0.95,0.92}

%Code listing style named "mystyle"
\lstdefinestyle{mystyle}{
  backgroundcolor=\color{backcolour}, commentstyle=\color{codegreen},
  keywordstyle=\color{magenta},
  numberstyle=\tiny\color{codegray},
  stringstyle=\color{codepurple},
  basicstyle=\ttfamily\footnotesize,
  breakatwhitespace=false,         
  breaklines=true,                 
  captionpos=b,                    
  keepspaces=true,                 
  numbers=left,                    
  numbersep=5pt,                  
  showspaces=false,                
  showstringspaces=false,
  showtabs=false,                  
  tabsize=2
}

%"mystyle" code listing set
\lstset{style=mystyle}

%\usepackage{layout}       % Layout Debugging
%\usepackage{showframe}    % Layout Debugging
\usepackage{lipsum}       % for example only
\usepackage{blindtext}    % for example only

\usepackage{todonotes}

\begin{document}
\input{configuration/configuration}    % load all settings

%\layout{}                 % Layout Debugging

\hyphenation{Ba-che-lor-the-sis Mas-ter-the-sis}

% Cover page here, no page number
\ICoverPage

% PDF Metadata
\input{style/metadata}

% Titlepage is page one even if the number is not shown.
\pagenumbering{roman}

% Table of contents here
\newpage
\tableofcontents

%Abbildungsverzeichnis
\listoffigures

% Tabellenverzeichnis
%\listoftables

% Uncomment if list of source code is needed (rarely).
%\lstlistoflistings  % requires package listings, needs to uncommenting of usepackage

% path to the chapters folder is set to find the images used there
\graphicspath{ {chapters/} }

% Chapters
\clearpage
\pagenumbering{arabic}

\ITextBlockKeywords

%\input{chapters/000_Beispiele.tex}
\input{chapters/010_Einleitung}
\input{chapters/020_Anforderungen.tex}
\input{chapters/030_Konzeption.tex}
\input{chapters/040_Implementierung.tex}
\input{chapters/050_Tests.tex}
\input{chapters/070_Fazit.tex}

\bibliography{referenzen}
\newpage

\input{chapters/080_Anhang.tex}
% Add additional chapters here

\bibliographystyle{plain}

\end{document}
